<?php declare(strict_types=1);

use Symfony\Component\Dotenv\Dotenv;
use Symfony\Component\Filesystem\Filesystem;

require dirname(__DIR__) . '/vendor/autoload.php';

if (method_exists(Dotenv::class, 'bootEnv')) {
    (new Dotenv)->bootEnv(dirname(__DIR__) . '/.env');
    $token = $_SERVER['TEST_TOKEN'] ?? '';
    $_ENV['DATABASE_URL'] .= $token;
}

if ($_SERVER['APP_DEBUG']) {
    umask(0o000);
}

$fs = new Filesystem;
$fs->remove(dirname(__DIR__) . '/../var/cache/*');
